1 2 3 4 5 6 Previous Next 132 Replies Latest reply on Jun 27, 2018 10:43 PM by lcsw2013 Go to original post
      • 75. Re: IPAM 4.6 is broken
        superfly99

        I installed the latest hotfix last night but it doesn't seem to have made any difference. Any new subnet I've added since it broke, won't scan. Any subnet that existed before hand, does scan (but it was already scanning prior to HF2). I've also noticed that the discovery no longer works. It hasn't worked since the last upgrade. If I run a discovery on a /24 it takes a long time to complete and then still says its failed.

         

        I've logged case 40511 for this issue.

         

        This is what my scan status now looks like - all say they started after I finished the HF2 install last night.

         

        • 76. Re: IPAM 4.6 is broken
          taras.smirnov

          Please, check version of .dll(s), for HF2 = 4.6.5300.905

          • 77. Re: IPAM 4.6 is broken
            rogdog

            HF2 no longer working for me

             

            Case Ticket 21266 reopened yesterday but no reply from support yet

             

            Was OK for a few days but I then decided to re-enable some IPAM Subnet/DHCP/DNS scans that I had temporarily disabled.  There were many Subnet Scans stuck like in Superfly99s screenshot. I eventually managed deleted those and now I am am just seeing 'queued' DNS Zone Transfer scans and 'Next Scan:ASAP' Subnet Scans. Nothing actually seems to be actively scanning. I am also seeing Subnet Scans in the queue for Subnets that I have disabled.

             

             

            • 78. Re: IPAM 4.6 is broken
              taras.smirnov

              Please, check version of .dll(s), for HF2 = 4.6.5300.905

              • 79. Re: IPAM 4.6 is broken
                superfly99

                Which DLL in particular? I checked 2 of mine, and they show 4.6.5300.843

                • 80. Re: IPAM 4.6 is broken
                  superfly99

                  ding no one has contacted me yet about the case I logged for this. I logged it as high almost 24 hours ago. When should I expect them to contact me?

                   

                  Thanks.

                  • 81. Re: IPAM 4.6 is broken
                    maryan.dmytriv

                    after HF2 applying the following DLL files should have version 4.6.5300.905:

                     

                    SolarWinds.IPAM.BusinessObjects.dll

                    SolarWinds.IPAM.Storage.dll

                    SolarWinds.IPAM.BusinessLayer.dll

                    SolarWinds.IPAM.Collector.dll

                    SolarWinds.IPAM.EventLogger.exe

                    SolarWinds.IPAM.ScanningEngine.dll

                     

                    Here is a command line how to uninstall IPAM 4.6 HF1 from the system

                    Msiexec /package {35799498-505e-47ef-a712-4aa25d1cc09e} /uninstall {1d6bce2d-803b-4787-80fc-375fdc9710f5} /passive

                    and HF2

                    Msiexec /package {35799498-505e-47ef-a712-4aa25d1cc09e} /uninstall {cbe2f84b-8101-4da5-b962-a626f6dab527} /passive

                    • 82. Re: IPAM 4.6 is broken
                      taras.smirnov

                      after HF2 applying the following DLL files should have version 4.6.5300.905:

                       

                      SolarWinds.IPAM.BusinessObjects.dll

                      SolarWinds.IPAM.Storage.dll

                      SolarWinds.IPAM.BusinessLayer.dll

                      SolarWinds.IPAM.Collector.dll

                      SolarWinds.IPAM.EventLogger.exe

                      SolarWinds.IPAM.ScanningEngine.dll

                       

                      Here is a command line how to uninstall IPAM 4.6 HF1 from the system

                      Msiexec /package {35799498-505e-47ef-a712-4aa25d1cc09e} /uninstall {1d6bce2d-803b-4787-80fc-375fdc9710f5} /passive

                      and HF2

                      Msiexec /package {35799498-505e-47ef-a712-4aa25d1cc09e} /uninstall {cbe2f84b-8101-4da5-b962-a626f6dab527} /passive

                      • 83. Re: IPAM 4.6 is broken
                        mark.healey

                        Interesting, I thought I'd downloaded HF2 as I downloaded it after it was announced by Ding , but all of those files show 4.6.5300.890

                         

                        I've just gone on the site, and there is a new HotFix "Latest Hotfix Installer (Offline) - Use to install the latest released Hotfixes for all Orion products on the Orion Platform 2017.3 - includes IPAM 4.6 Hotfix 2" which was released on the 22nd.

                        If I run it, it state there is nothing to update, and I'm already running HF2.

                         

                         

                        Unfortunately the command you've given does not uninstall IPAM 4.6 HF2, and the installer says it is still installed, so I guess I'll just have to wait for IPAM HotFix 3?

                        • 84. Re: IPAM 4.6 is broken
                          superfly99

                          I have the exact same dll versions as you. And I also downloaded "HF2" or so I thought. These are the 2 downloaded files. They both have the same name but are different in sizes.

                           

                          And when I run it, I too get the message that I'm up to date already.

                           

                           

                          I will try to uninstall "HF2" and install the real HF2.

                          Will the real HF2 please stand up??

                          • 85. Re: IPAM 4.6 is broken
                            superfly99

                            Well no matter what I try, HF2 won't uninstall. I tried the above command and I tried doing it through control panel. Both fail.

                             

                            Any other suggestions?

                            • 86. Re: IPAM 4.6 is broken
                              superfly99

                              An update. I ended up running this command (which is listed above to uninstall HF1)

                              Msiexec /package {35799498-505e-47ef-a712-4aa25d1cc09e} /uninstall {1d6bce2d-803b-4787-80fc-375fdc9710f5} /passive

                               

                              It did some stuff and then HF2 was uninstalled. So I then ran the latest installer and now HF2 is installed again and my DLL's are showing as being version 4.6.5300.905.

                               

                              Now I just have to see if my scans are working again.

                              • 87. Re: IPAM 4.6 is broken
                                superfly99

                                maryan.dmytriv  wrote:

                                 

                                 

                                Here is a command line how to uninstall IPAM 4.6 HF1 from the system

                                Msiexec /package {35799498-505e-47ef-a712-4aa25d1cc09e} /uninstall {1d6bce2d-803b-4787-80fc-375fdc9710f5} /passive

                                and HF2

                                Msiexec /package {35799498-505e-47ef-a712-4aa25d1cc09e} /uninstall {cbe2f84b-8101-4da5-b962-a626f6dab527} /passive

                                 

                                Running the HF2 command did nothing but running the HF1 command uninstalled HF2. So the I could install the newer HF2 install and now my dll's are showing the version 4.6.5300.905.

                                 

                                Thanks

                                • 88. Re: IPAM 4.6 is broken
                                  stevenstadel

                                  If there a way to manually install these DLL versions? I really don't want to take another 2.5 hour outage to update our primary and APEs again.

                                  • 89. Re: IPAM 4.6 is broken
                                    prawij

                                    So I uninstalled IPAM from my primary and additionals pollers.

                                     

                                    Went to install IPAM using the offline package that I downloaded today.....

                                     

                                     

                                    And installed on the poller is:

                                     

                                    • 90. Re: IPAM 4.6 is broken
                                      prawij

                                      Ended up un-installing the Active Diagnostics component, the offline IPAM installer then proceeded to completion.

                                      • 91. Re: IPAM 4.6 is broken
                                        stevenstadel

                                        We are experiencing the same issues using the Online Installer when trying to update to IPAM 4.6 HF 2. IPAM 4.6 HF 1 and 2 are showing in the Add/Remove Programs Installed Updates.

                                        DLLs are still at 4.6.5300.890.

                                        SolarWinds.IPAM.Storage.fll Version 4.6.5300.890

                                         

                                        If a way can be shared that updates IPAM to these new files (4.6.5300.905) without having to run through a full config wizard it would be appreciated.

                                         

                                        SolarWinds.IPAM.BusinessObjects.dll

                                        SolarWinds.IPAM.Storage.dll

                                        SolarWinds.IPAM.BusinessLayer.dll

                                        SolarWinds.IPAM.Collector.dll

                                        SolarWinds.IPAM.EventLogger.exe

                                        SolarWinds.IPAM.ScanningEngine.dll

                                        • 92. Re: IPAM 4.6 is broken
                                          prawij

                                          Came across an issue with my additional pollers, another error, the offline IPAM installer wouldn't proceed (different error from the one above), I ended up having to download the package from the GUI Polling Engines page, this said it couldn't find the product catalog, looked at my primary and the Solarwinds Administration service wasn't running. Started that back up, then the additional poller installer proceeded to completion.

                                          • 93. Re: IPAM 4.6 is broken
                                            rschroeder

                                            If serena wasn't monitoring this thread before, perhaps she can offer insight?

                                             

                                            She may not be a true wizard or angel, but the outcomes of her work with my Solarwinds deployment suggest that at least she KNOWS some of them, and can bring their attention to this issue.

                                             

                                             

                                            • 94. Re: IPAM 4.6 is broken
                                              serena

                                              That's kind of you! I appreciate you drawing my attention to this. I'll dig around a bit to see if this is IPAM specific or related to our installer.

                                              • 95. Re: IPAM 4.6 is broken
                                                superfly99

                                                Update on my status - I have the "correct" version of HF2 now installed and all my subnets are scanning and reporting correctly. Also my network discovery scans have started to work again although the "Last Discovery" is still showing up as 16/12 or 17/12 which was the time when IPAM and my network discovery scans broke. Now that network discovery scans is working again these fields should be updating according to what was said above which was :

                                                 

                                                "Something the IPAM dev team told me that I wasn't aware of. "Last

                                                discovery" refers to when the subnet was last discovered via a scan through

                                                the network discovery wizard or DHCP server discovery scan. It does not

                                                mean when the subnet was last scanned via IPAM for a "normal" subnet scan."

                                                 

                                                -- I don't believe the above statement is correct as my network discovery scan only does my network management ip ranges but in IPAM i have all my subnets listed (such as wireless) and these are showing up as "Last Discovered" 16/12 or 17/12. So if the above statement was correct, then these should be blank for "Last Discovered".

                                                 

                                                 

                                                But the IPAM Scan Job Status doesn't seem to be reporting correctly, it's now showing some real old dates.

                                                 

                                                 

                                                Please bring on HF3 to fix all these issues once and for all! Thanks.

                                                • 96. Re: IPAM 4.6 is broken
                                                  borgan

                                                  I must say that I ave been monitoring this thread for the last few days since I am planning a series of upgrades tomorrow. I am now wondering if this issue with IPAM should delay those upgrades. Thoughts?

                                                  • 97. Re: IPAM 4.6 is broken
                                                    superfly99

                                                    If you are still on IPAM 4.5 then I would delay the upgrade unless there's something you really need to upgrade. Unfortunately with the new installer you can no longer be selective with what you do or don't install.

                                                    1 of 1 people found this helpful
                                                    • 98. Re: IPAM 4.6 is broken
                                                      prawij

                                                      superfly: I would try cancelling those jobs that started 558.6 minutes ago as a temp workaround at least.

                                                      • 99. Re: IPAM 4.6 is broken
                                                        prawij

                                                        borgan: Absolutely stay on IPAM 4.5.